GET /discord/guilds/{guildId}/events/{eventId}

One scheduled event

GET
/discord/guilds/{guildId}/events/{eventId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

eventId*string

Event id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Response Body

{data}

application/json
  1. response
data?

Discord's scheduled event, verbatim

Example Request
curl -X GET 'https://example.com/api/v1/discord/guilds/string/events/string?accountId=string'
Example Response
{  "data": {    "id": "string",    "guild_id": "string",    "channel_id": "string",    "creator_id": "string",    "name": "string",    "description": "string",    "scheduled_start_time": "string",    "scheduled_end_time": "string",    "privacy_level": 2,    "status": 1,    "entity_type": 1,    "entity_id": "string",    "entity_metadata": {},    "user_count": 0,    "image": "string"  }}